  
# Dapr 0.11.2

## Fixes

* Fixed remote actor invocation timeout error on Kubernetes with mTLS enabled (https://github.com/dapr/dapr/issues/2195)

### Overview
[The issue](https://github.com/dapr/dapr/issues/2195) fixed in the 0.11.2 release had a bug that caused actors to not work on Kubernetes clusters with mTLS enabled. The root cause was the result of changes made to how Dapr uses server names when doing mutual authentication in sidecar to sidecar gRPC calls.

The server name format changed from `cluster.local` to `<app-id>.<namespace>.cluster.local`, and the actors runtime did not pass the namespace to the server name.
That led to an authentication error that was reported to the user as a gRPC timeout deadline exceeded error.

The issue was fixed with [this PR](https://github.com/dapr/dapr/pull/2196).

As an immediate step, we checked why our actor e2e tests did not catch this, as this was supposed to be covered in the test. 
Further investigation showed that our e2e test for actors did not use Kubernetes pod to pod invocation, which did not create a gRPC connection with the wrong server name.
An issue to fix the e2e test was [opened](https://github.com/dapr/dapr/issues/2197) and later [completed](https://github.com/dapr/dapr/pull/2199).